Loading...
Searching...
No Matches
OgreBillboardSet.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreMovableObject.h"`
`#include "OgreRenderable.h"`
`#include "OgreCommon.h"`
`#include "OgreResourceGroupManager.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes

class | Ogre::BillboardSet
| A collection of billboards (faces which are always facing the given direction) with the same (default) dimensions, material and which are fairly close proximity to each other. More...

## Namespaces

namespace | Ogre

## Enumerations

enum | Ogre::BillboardOrigin { Ogre::BBO_TOP_LEFT , Ogre::BBO_TOP_CENTER , Ogre::BBO_TOP_RIGHT , Ogre::BBO_CENTER_LEFT , Ogre::BBO_CENTER , Ogre::BBO_CENTER_RIGHT , Ogre::BBO_BOTTOM_LEFT , Ogre::BBO_BOTTOM_CENTER , Ogre::BBO_BOTTOM_RIGHT }
| Enum covering what exactly a billboard's position means (center, top-left etc). More...
enum | Ogre::BillboardRotationType { Ogre::BBR_VERTEX , Ogre::BBR_TEXCOORD }
| The rotation type of billboard. More...
enum | Ogre::BillboardType { Ogre::BBT_POINT , Ogre::BBT_ORIENTED_COMMON , Ogre::BBT_ORIENTED_SELF , Ogre::BBT_PERPENDICULAR_COMMON , Ogre::BBT_PERPENDICULAR_SELF }
| The type of billboard to use. More...